Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::CheckMenuElem Class Reference

Inheritance diagram for Gtk::Menu_Helpers::CheckMenuElem:

[legend]
List of all members.

## Public Member Functions

| CheckMenuElem (CheckMenuItem& child)
| CheckMenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a SigC::Slot.
| CheckMenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated CheckMenuItem with a SigC::Slot.

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | CheckMenuItem& | child | ) |

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring& | label,
|  | const CallSlot& | slot = CallSlot()
| ) |

Create a labeled, non-accelerated MenuItem with a SigC::Slot.

Parameters:

  label | The menu item's name

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring& | label,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = CallSlot()
| ) |

Create a labeled, accelerated CheckMenuItem with a SigC::Slot.

Parameters:

  label | The menu item's name
  key | The accelerator key combination
  slot | Use SigC::slot() to specify a signal handler

The documentation for this class was generated from the following file:

- menu_elems.h